SHELL = /bin/sh

include ../../../Makefile.in

#-------------------------------------------------------------------
VPATH = ../include

BUILD=../../../../build/
$(shell mkdir -p $(BUILD))
        
CFLAG += -DMED
LIBS += $(LIBMED)
INC += $(INC_MED)

COPTIM=-O2

OBJ=$(patsubst %.c, $(BUILD)/%.o, $(wildcard *.c))


exe: $(OBJ)
	@echo $(MESS)
	$(FRONT_CC) -o $(CONVERTMED) $(COPTIM) $(LDFLAG) $(BUILD)/*.o  $(LIBS) -lm

$(BUILD)/%.o : %.c
	$(FRONT_CC) -c $(COPTIM) $(CFLAG) $(INC)  $< -o $@

clean:
	rm -rf $(BUILD)/*.o

realclean:
	rm -rf $(BUILD) ; rm -f $(LIB_SYRTHES)
